<template>
  <section>
    <div class="background">
      <div class="logo-container">
        <b-img src="https://static.pexels.com/photos/45201/kitty-cat-kitten-pet-45201.jpeg" fluid/>
      </div>
      <div>
        <div class="button-group">
          <b-button variant="outline-danger" size="lg" class="button">Reservar</b-button><br>
          <b-button variant="outline-danger" size="lg" class="button">Renovar</b-button><br>
          <div v-if="isLoggedIn">
            <b-button variant="outline-danger" size="lg" href="/requests" class="button" >Meus Pedidos</b-button><br>
          </div>
          <b-button variant="outline-danger" size="lg" href="/terms" class="button">Termos de uso</b-button>
        </div>
      </div>
      <homepage-footer/>
    </div>
  </section>
</template>

<script>
import HomepageFooter from '~/components/HomepageFooter.vue'
import { mapState } from 'vuex'

export default {
  components: {
    HomepageFooter
  },
  computed: {
    ...mapState ([
      'isLoggedIn'
    ])
  }
}
</script>

<style>
.logo-container {
  display: block;
  height: 15em;
  max-width: 15em;
  margin: 25px 0;
  background-color: #F0F0F0;
}

.button-group {
  display: block;
}

</style>
